# eric4.KdeQt.KQProgressDialog

Compatibility module to use the KDE Progress Dialog instead of the Qt Progress Dialog.

### Classes

__qtKQProgressDialog | Compatibility class to use the Qt Progress Dialog.

### Functions

KQProgressDialog | Public function to instantiate a progress dialog object.

## __qtKQProgressDialog

Compatibility class to use the Qt Progress Dialog.

### Derived from

QProgressDialog

### Methods

None

Up

## KQProgressDialog

KQProgressDialog(labelText, cancelButtonText, minimum, maximum, parent = None, f = Qt.WindowFlags(Qt.Widget))

Public function to instantiate a progress dialog object.

labelText
  text to show in the progress dialog (QString)
cancelButtonText
  text to show for the cancel button or None to disallow cancellation and to hide the cancel button (QString)
minimum
  minimum value for the progress indicator (integer)
maximum
  maximum value for the progress indicator (integer)
parent
  reference to the parent widget (QWidget)
f
  window flags for the dialog (Qt.WindowFlags)

Returns:
  reference to the progress dialog object

Up